Test Vcenter Integration
In case if certificate is needed, will return untrusted certificate for acceptance in response.
NOTE: while providing any certificate via this API, certificateDetails field must be populated.
The vCenter integration test request
"{\n \"name\" : \"TestVcenterIntegration\",\n \"description\" : \"vCenter adapter for test purposes\",\n \"collectorGroupId\" : \"c2899dfc-dcbd-45e1-9960-94114d371d5a\",\n \"resourceIdentifiers\" : [ {\n \"name\" : \"AUTODISCOVERY\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"PROCESSCHANGEEVENTS\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"VCURL\",\n \"value\" : \"VC_IP_Adress\"\n } ],\n \"certificates\" : [ ],\n \"credentialInstanceId\" : \"8c289ce0-0d9e-4957-bdee-3981fe5a3174\",\n \"logCollectionEnabled\" : false,\n \"netOpsConfig\" : {\n \"collectorId\" : \"10000:901:6259444505047261960\",\n \"enabled\" : true,\n \"dvsIpfixRequest\" : {\n \"enable_all\" : true\n }\n }\n}"
Provided vCenter integration, successfully passed the test
"{\n \"name\" : \"TestVcenterIntegration\",\n \"description\" : \"vCenter adapter for test purposes\",\n \"collectorGroupId\" : \"c2899dfc-dcbd-45e1-9960-94114d371d5a\",\n \"resourceIdentifiers\" : [ {\n \"name\" : \"AUTODISCOVERY\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"PROCESSCHANGEEVENTS\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"VCURL\",\n \"value\" : \"VC_IP_Adress\"\n } ],\n \"certificates\" : [ ],\n \"credentialInstanceId\" : \"8c289ce0-0d9e-4957-bdee-3981fe5a3174\",\n \"logCollectionEnabled\" : false,\n \"netOpsConfig\" : {\n \"collectorId\" : \"10000:901:6259444505047261960\",\n \"enabled\" : true,\n \"dvsIpfixRequest\" : {\n \"enable_all\" : true\n }\n }\n}"
If test 'vCenter integration' failed. Typically the service will return extra information as to why the test failed. In case if connection testing failed due to certificates, untrusted certificates will be returned for acceptance.
"{\n \"type\" : \"CertificatesError\",\n \"certificates\" : [ {\n \"integrationType\" : \"VCENTER\",\n \"certificates\" : [ {\n \"thumbprint\" : \"certificate_thumbprint\",\n \"certificateDetails\" : \"certificate_details\",\n \"issuedTo\" : \"issuedTo\",\n \"issuedBy\" : \"issuedBy\",\n \"expires\" : \"expirationDate\"\n } ]\n } ],\n \"httpStatusCode\" : 400,\n \"apiErrorCode\" : 400,\n \"message\" : \"No valid certificates were found, while testing connection. Returning provided untrusted certificates for acceptance.\"\n}"
If test 'vCenter integration' failed. Typically the service will return extra information as to why the test failed.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '}' https://{api_host}/suite-api/api/integrations/vcenters/testConnection